<!doctype html>
<html lang='en'>
<head>
  <meta charset='utf-8'>
  <title>Object-o-matic</title>
  <script>
	function makeCar() {
		var makes = ['Chevy', 'GM', 'Fiat', 'Webville Motors', 'Tucker'];
		var models = ['Cadillac', '500', 'Bel-Air', 'Taxi', 'Torpedo'];
		var years = [1955, 1957, 1948, 1954, 1961];
		var colors = ['red', 'blue', 'tan', 'yellow', 'white'];
		var convertible = [true, false];

		var rand1 = Math.floor(Math.random() * makes.length);
		var rand2 = Math.floor(Math.random() * models.length);
		var rand3 = Math.floor(Math.random() * years.length);
		var rand4 = Math.floor(Math.random() * colors.length);
		var rand5 = Math.floor(Math.random() * 5);
		var rand6 = Math.floor(Math.random() * 2);

		var car = {
			engine: makeEngine(),
			make: makes[rand1],
			model: models[rand2],
			year: years[rand3],
			color: colors[rand4],
			passengers: rand5,
			convertible: convertible[rand6],
			mileage: 0
		};
		return car;
	}
	
	function makeEngine() {
		var cylinders = ['Cylinder 1', 'Cylinder 2', 'Cylinder 3', 'Cylinder 4'];
		var cc_Volumes = ['Volume 1', 'Volume 2', 'Volume 3', 'Volume 4'];
		var fuel_types = ['diesel', 'petrol'];
		var max_torques = ['Torque 1', 'Torque 2', 'Torque 3', 'Torque 4'];
		
		var rand1 = Math.floor(Math.random() * cylinders.length);
		var rand2 = Math.floor(Math.random() * cc_Volumes.length);
		var rand3 = Math.floor(Math.random() * fuel_types.length);
		var rand4 = Math.floor(Math.random() * max_torques.length);
		
		var engine = {
			cylinder: cylinders[rand1],
			cc_Volume: cc_Volumes[rand2],
			fuel_type: fuel_types[rand3],
			max_torque: max_torques[rand4]};
			
		return engine;
	}

	function displayCar(car) {
		console.log('Your new car is a ' + car.year + ' ' + car.make + ' ' + car.model + ' with engine ' + car.engine.cc_Volume + ' ' + car.engine.cylinder + ' ' + car.engine.fuel_type + ' ' + car.engine.max_torque + ' and color ' + car.color + ' and has ' + car.passengers + ' passengers.');
	}

	var carToSell = makeCar();
	displayCar(carToSell);

  </script>
</head>
<body></body>
</html>
